#ifndef __FIRECAT_HEADER_INCLUDED__
#define __FIRECAT_HEADER_INCLUDED__

#define MODE_CAT 0 /* Just cat the files together */
#define MODE_IDX 1 /* Just create indexes */
#define MODE_QER 2 /* Perform a query on the files */
#define MODE_LST 3 /* List the fields etc. in an index file */

struct firecat_mode {
	void (*init)(void);
	void (*file)(char *, int);
	void (*fini)(void);
};

#endif /* __FIRECAT_HEADER_INCLUDED__ */
